On April 8, 2025, we introduced a new oEmbed feature, Meta oEmbed Read to replace the existing oEmbed Read feature. The current oEmbed Read feature will be deprecated on November 3, 2025.
The following fields are no longer returned and will be fully deprecated on November 3, 2025:
author_nameauthor_urlthumbnail_heightthumbnail_urlthumbnail_widthRead the oEmbed Updates blog post from Meta to learn more.
On June 15, 2026, we lifted the access token requirement from all Meta oEmbed APIs. This applies to the following endpoints:
This means that App Review will no longer be required to embed public Meta content. With tokenless access, you can make up to 1,000 oEmbed API requests per endpoint every hour. If you already have the Meta oEmbed Read or Threads oEmbed Read feature approved through App Review, you can still use an access token to make up to 5 million oEmbed API requests per endpoint every day.
Read the Introducing Tokenless Access to Meta oEmbed APIs blog post from Meta to learn more.
OembedVideo
GET /v25.0/oembed_video HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/oembed_video',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/oembed_video",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/oembed_video",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/oembed_video"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Parameter | Description |
|---|---|
maxwidthint64 | maxwidth |
omitscriptboolean | Default value: falseomitscript |
sdklocalestring | sdklocale |
urlURI | url Required |
useiframeboolean | Default value: falseuseiframe |
| Error | Description |
|---|---|
| 200 | Permissions error |
| 100 | Invalid parameter |
| 190 | Invalid OAuth 2.0 Access Token |